MyGUI::xml::ErrorType Struct Reference

`#include <MyGUI_XmlDocument.h>`

## Public Types

enum | Enum { OpenFileFail , CreateFileFail , IncorrectContent , NotClosedElements , NoXMLDeclaration , CloseNotOpenedElement , InconsistentOpenCloseElements , MoreThanOneXMLDeclaration , MoreThanOneRootElement , IncorrectAttribute , MAX }

## Public Member Functions

| ErrorType (Enum _value=MAX)
std::string_view | print () const

## Detailed Description

Definition at line 59 of file MyGUI_XmlDocument.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::xml::ErrorType::Enum

Enumerator
OpenFileFail |
CreateFileFail |
IncorrectContent |
NotClosedElements |
NoXMLDeclaration |
CloseNotOpenedElement |
InconsistentOpenCloseElements |
MoreThanOneXMLDeclaration |
MoreThanOneRootElement |
IncorrectAttribute |
MAX |

Definition at line 61 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

## ErrorType()

MyGUI::xml::ErrorType::ErrorType | ( | Enum | _value = MAX | ) |

inline

Definition at line 76 of file MyGUI_XmlDocument.h.

## Member Function Documentation

## print()

std::string_view MyGUI::xml::ErrorType::print | ( |  | ) | const

inline

Definition at line 81 of file MyGUI_XmlDocument.h.

The documentation for this struct was generated from the following file:

- MyGUI_XmlDocument.h